#ifndef _GAME_H_
#define _GAME_H_

#include <vector>

#include "camera.h"
#include "viewport.h"
#include "mesh.h"
#include "entity.h"

extern const float WORLD_SIZE;
extern const float WALL_THICKNESS;
extern const float WALL_HEIGHT;
extern const float PLAYER_SIZE;
extern const float PLAYER_SPEED;
extern const float BUNNY_SIZE_BIG;
extern const float BUNNY_SPEED_BIG;
extern const float BUNNY_SIZE_MEDIUM;
extern const float BUNNY_SPEED_MEDIUM;
extern const float BUNNY_SIZE_SMALL;
extern const float BUNNY_SPEED_SMALL;
extern const float BULLET_SIZE;
extern const float BULLET_SPEED;

extern Viewport view;
extern Camera camera;
extern Mesh *bunnyMesh;
extern std::vector<Entity *> bunnies_big;
extern std::vector<Entity *> bunnies_medium;
extern std::vector<Entity *> bunnies_small;
extern std::vector<Movable *> bullets;

extern int moveForward;
extern int moveBackward;
extern int strafeLeft;
extern int strafeRight;

void physics(void);

#endif
